com.beaglebuddy.id3.v24.frame_body

## Enum ID3v24FrameBodyCommercial.ReceivedType

- java.lang.Object
- - java.lang.Enum<ID3v24FrameBodyCommercial.ReceivedType>
  - - com.beaglebuddy.id3.v24.frame_body.ID3v24FrameBodyCommercial.ReceivedType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ID3v24FrameBodyCommercial.ReceivedType>
  Enclosing class:
    ID3v24FrameBodyCommercial

      public static enum ID3v24FrameBodyCommercial.ReceivedType
      extends java.lang.Enum<ID3v24FrameBodyCommercial.ReceivedType>

  valid ID3v2.4 commercial received as types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOK_NOTE_SHEETS` As note sheets in a book with other sheets
    `CD` Standard CD album with other songs
    `COMPRESSED` Compressed audio on CD
    `FILE` File over the Internet
    `NON_MUSICAL` Non-musical merchandise
    `NOTE_SHEETS` As note sheets
    `OTHER` Other
    `OTHER_MEDIA` Music on other media
    `STREAM` Stream over the Internet

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` get a description of the received type.
    `static ID3v24FrameBodyCommercial.ReceivedType` | `getReceivedType(byte receivedType)` converts an integral value to its corresponding received type enum.
    `java.lang.String` | `toString()` get a string representation of the received type.
    `static ID3v24FrameBodyCommercial.ReceivedType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ID3v24FrameBodyCommercial.ReceivedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ID3v24FrameBodyCommercial.ReceivedType OTHER

      Other

    - #### CD

          public static final ID3v24FrameBodyCommercial.ReceivedType CD

      Standard CD album with other songs

    - #### COMPRESSED

          public static final ID3v24FrameBodyCommercial.ReceivedType COMPRESSED

      Compressed audio on CD

    - #### FILE

          public static final ID3v24FrameBodyCommercial.ReceivedType FILE

      File over the Internet

    - #### STREAM

          public static final ID3v24FrameBodyCommercial.ReceivedType STREAM

      Stream over the Internet

    - #### NOTE_SHEETS

          public static final ID3v24FrameBodyCommercial.ReceivedType NOTE_SHEETS

      As note sheets

    - #### BOOK_NOTE_SHEETS

          public static final ID3v24FrameBodyCommercial.ReceivedType BOOK_NOTE_SHEETS

      As note sheets in a book with other sheets

    - #### OTHER_MEDIA

          public static final ID3v24FrameBodyCommercial.ReceivedType OTHER_MEDIA

      Music on other media

    - #### NON_MUSICAL

          public static final ID3v24FrameBodyCommercial.ReceivedType NON_MUSICAL

      Non-musical merchandise

  - ### Method Detail

    - #### values

          public static ID3v24FrameBodyCommercial.ReceivedType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ID3v24FrameBodyCommercial.ReceivedType c : ID3v24FrameBodyCommercial.ReceivedType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ID3v24FrameBodyCommercial.ReceivedType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      get a description of the received type.
      Returns:
        a description of the received type.

    - #### toString

          public java.lang.String toString()

      get a string representation of the received type.
      Overrides:
        `toString` in class `java.lang.Enum<ID3v24FrameBodyCommercial.ReceivedType>`
      Returns:
        a string representation of the received type.

    - #### getReceivedType

          public static ID3v24FrameBodyCommercial.ReceivedType getReceivedType(byte receivedType)
                                                                        throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding received type enum.
      Parameters:
        `receivedType` - integral value to be converted to a received type enum.
      Returns:
        a received type enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value is not a valid received type.